Subject: Re: Disabling credential helper?

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Dec 2014 09:14:27 -0800

Jeff King <[email-masked]> writes:

> Yeah, it's fine (as is GIT_ASKPASS=true). You could also provide a
> credential helper that gives you an empty username and password. But in
> both cases, I think that git will then feed the empty password to the
> server again, resulting in an extra useless round-trip.
> ...
> You probably
> instead want to say "stop now, git, there is nothing else to be done".
> ...
> We could teach the credential-helper code to do that (e.g., a helper
> returns "stop=true" and we respect that). But I think you can do it
> reasonably well today by making the input process fail.

Yeah, it is roughly equivalent to the 'ASKPASS=true' approach, and
probably is a good enough solution, I would think.